REM http://download.osgeo.org/geos/geos-3.6.1.tar.bz2

set P=geos
set V=3.6.1
set B=1

set ARCH=%1

if "%ARCH%"=="x86" (
	set OSGEO4W_ROOT=C:\OSGeo4W
	set VCARCH=x86
) else (
	set OSGEO4W_ROOT=C:\OSGeo4W64
	set VCARCH=x64
)

set R=..\..\..\%ARCH%\release\%P%
mkdir %R%


set pf=%ProgramFiles(x86)%
if "%pf%"=="" set pf=%ProgramFiles%
call "%pf%\Microsoft Visual Studio 14.0\VC\vcvarsall.bat" %VCARCH%
echo on
path %pf%\Microsoft Visual Studio 14.0\Common7\IDE;%PATH%;c:\cygwin\bin

if not exist clean-patched patch -p1 -d.. <clean.diff >clean-patched

cd ..
nmake /f makefile.vc clean
if errorlevel 1 (echo clean error & goto error)

nmake /f makefile.vc
if errorlevel 1 (echo build error & goto error)

cd osgeo4w
copy ..\COPYING %R%\%P%-%V%-%B%.txt

copy setup.hint %R%\setup.hint

for %%i in (bin lib include include\geos) do if not exist %%i mkdir %%i
copy ..\src\geos_c.dll bin
copy ..\src\geos_c_i.lib lib\geos_c.lib
copy ..\capi\geos_c.h include
copy ..\include\geos\export.h include\geos
copy ..\include\geos\platform.h include\geos
copy ..\include\geos\version.h include\geos

tar -cjf %R%\%P%-%V%-%B%.tar.bz2 lib bin include
tar -C .. -cjf %R%\%P%-%V%-%B%-src.tar.bz2 ^
	osgeo4w/package.cmd ^
	osgeo4w/setup.hint

:error
